%define major 10
%define shortname microhttpd
%define libname	%mklibname %shortname %major
%define develname %mklibname -d %shortname
%define sdevelname %mklibname -d -s %shortname

Name:		libmicrohttpd
Version:	0.9.23
Release:	%mkrel 2
URL:		http://gnunet.org/libmicrohttpd/
Source:		http://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
License:	GPLv2+
Summary:	Small C library to run an HTTP server
Group:		System/Libraries
BuildRequires:	curl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	gnutls-devel

%description
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n %libname
Summary:	Small C library to run an HTTP server
Group:		System/Libraries

%description -n %libname
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n %develname
Summary:	Development files for %libname
Group:		System/Libraries
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %develname
Development files for %libname

%package -n %sdevelname
Summary:	Static libraries for %libname
Group:		System/Libraries
Provides:	%name-static-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}

%description -n %sdevelname
Static libraries for %libname

%prep
%setup -q

%build
%configure2_5x
%make

%install
%{__rm} -Rf %{buildroot}
%makeinstall_std

%{__rm} -Rf %{buildroot}%{_libdir}/*.la

%post -n %develname
%_install_info microhttpd.info

%preun -n %develname
%_remove_install_info microhttpd.info

%files -n %libname
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.%{major}*
%{_mandir}/man3/%{name}.3.*

%files -n %develname
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_datadir}/info/*
%{_libdir}/pkgconfig/%{name}.pc

%files -n %sdevelname
%{_libdir}/%{name}.a


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.23-2.mga3
+ Revision: 357751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 0.9.23-1.mga3
+ Revision: 316924
- new version 0.9.23

* Mon Sep 03 2012 fwang <fwang> 0.9.22-1.mga3
+ Revision: 287516
- new version 0.9.22

* Fri Jun 01 2012 fwang <fwang> 0.9.20-1.mga3
+ Revision: 252729
- new version 0.9.20

* Mon Mar 05 2012 fwang <fwang> 0.9.19-1.mga2
+ Revision: 218351
- new version 0.9.19

* Sun Nov 20 2011 fwang <fwang> 0.9.17-1.mga2
+ Revision: 169607
- new version 0.9.17

* Sat Nov 05 2011 fwang <fwang> 0.9.16-1.mga2
+ Revision: 163137
- new version 0.9.16
- rebuild for new gnults

* Mon Jul 18 2011 fwang <fwang> 0.9.13-1.mga2
+ Revision: 125618
- new version 0.9.13

* Mon Mar 28 2011 ennael <ennael> 0.9.8-1.mga1
+ Revision: 78439
- clean spec file
- imported package libmicrohttpd

